%define anolis_release 3

Name:		perl-Params-Util
Version:	1.102
Release:	%{anolis_release}%{?dist}
Summary:	Simple standalone parameter-checking functions

License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Params-Util
Source0:	https://cpan.metacpan.org/authors/id/R/RE/REHSACK/Params-Util-%{version}.tar.gz

BuildRequires:	make
BuildRequires:  %{__perl}
BuildRequires:  %{__make}
BuildRequires:  gcc
BuildRequires:	perl-interpreter
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Config::AutoConf)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.52
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(strict)
BuildRequires:  perl(inc::latest)
# Run-time:
BuildRequires:	perl(Exporter)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util) >= 1.18
BuildRequires:  perl(XSLoader) >= 0.22
BuildRequires:	perl(vars)
# Tests:
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(File::Spec::Functions)

%{?perl_default_filter}
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Scalar::Util\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(XSLoader\\)$

Requires:	perl(Scalar::Util) >= 1.18
Requires:       perl(XSLoader) >= 0.22

%description
Params::Util provides a basic set of importable functions that 
makes checking parameters a hell of a lot easier.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Params-Util-%{version} -p1
rm -rf inc/latest* inc/inc_*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
%{__make} %{?_smp_mflags}

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
 
%check
%{__make} test AUTOMATED_TESTING=1
 
%files
%license LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Params
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.102-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.102-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 happy_orange <songnannan@linux.alibaba.com> - 1.102-1
- Init package from upstream
